package com.college.data.repositorty.role

import com.college.domain.model.Role
import com.college.domain.request.role.RoleCreateRequest
import com.college.domain.request.role.RoleUpdateRequest

interface RoleRepository {
    suspend fun getAllRoles():List<Role>
    suspend fun createRole(roleCreateRequest: RoleCreateRequest): Role
    suspend fun removeRoleById(rolId: Int): Boolean
    suspend fun updateRole(rolId: Int, roleUpdateRequest: RoleUpdateRequest): Boolean
}